package fr.sv.esb.protofuse.partdeux.routing;

import org.apache.camel.Exchange;
import org.apache.camel.ExchangePattern;
import org.apache.camel.Processor;
import org.apache.camel.builder.RouteBuilder;
import org.apache.log4j.Logger;
import org.apache.log4j.PropertyConfigurator;

/**
 * A Camel Router
 *
 * @version $Revision: 1.1 $
 */
public class PartDeuxRouteBuilder extends RouteBuilder  {

	final static String NAMESPACESH = "http://sayHello.test.fuse.esb.fr";
	final static String NAMESPACEPREFIXSH = "tns";
	
	
	private final static String SERVICE_PROCESSSH = "jbi:service:" + NAMESPACESH+"/ProxyServiceProcess";
	private final static String SERVICE_ENDPOINTSH = "jbi:service:" + NAMESPACESH+"/sayHelloESService";
	
	
    public void configure() {
    	
    	from(SERVICE_PROCESSSH).process(new Processor() {
            public void process(Exchange exchange) throws Exception {
               System.out.println("Proxy Hello world process");
           }
    	}
    	).to(ExchangePattern.InOut, SERVICE_ENDPOINTSH);
    	
    }
}
